Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "020e1f42-6964-4e92-9a1d-305106110ef7",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "cd12e93d-6b58-4b94-8bc1-b95a01ded610",
"company_code": "sample string 5",
"company": {
"id": "33b184eb-fe10-446d-8b30-e22001c354f5",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-30T02:33:52.8510385+00:00",
"sales_territory_id": "fd759ad0-8f16-4ae1-a7b8-a90ae94f573a",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "450c421c-3efe-4a1b-be74-eb3d1a68d1c7",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5761af8e-fc60-4f65-ae86-89ee3b596df0",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "39f29efe-2145-4b5e-9647-e0bec7de7d51",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b2311c3c-179b-462b-99af-b7b401429535",
"db_currency_id": "60f9522c-0679-4077-9c0a-2ede68a2ae30",
"db_language_id": "e51cc51e-24a1-416e-bdd7-1576ad68d24a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T02:33:52.8510385+00:00"
},
"modified_dateutc": "2026-10-30T02:33:52.8510385+00:00"
},
"marketing_segment_id": "feb838f9-a688-4ab1-91f5-0bb137d15cfa",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "5f4bb2df-9a66-46de-b758-f8157ca4eeeb",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "bc82a388-dd88-414c-a223-a718d39395e3",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "b56d3ffa-dc30-4fb0-853c-958368a1955d",
"db_country_code": "sample string 28",
"feelist_id": "8bb4bfab-576c-446a-92a1-8e5a7cc344c9",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "0550711a-40c5-44fe-9e17-1143febdea86",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "9753a23c-c13e-491a-9d10-36bf59029e54",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-30T02:33:52.8692997+00:00",
"db_currency_id": "bc5d6199-5a0a-4022-a078-92aa7efbd666",
"db_currency_code": "sample string 10"
},
"company_type_id": "df373e1a-2e6e-4105-b960-8df24d0eb73b",
"company_type_name": "sample string 32",
"company_type": {
"id": "e01c0dda-0021-4355-b142-c700926e1841",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4a69c5cb-198d-4a83-af30-c07f726bf157",
"sales_organization_code": "sample string 5"
},
"db_language_id": "5b34cfce-5924-4af8-b064-36aeeaf78d92",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "65c89ce0-4afc-440f-8721-07e420089008",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "786eacab-b1c7-431c-9eb3-35672f9fbab5",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5cdbb8e1-e078-49be-9c2f-7a5ac7b6f671",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-30T02:33:52.8692997+00:00"
},
"company_sector_id": "814afd14-ea63-4a2e-a794-8be97d8ddd34",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "91155242-8bb2-4217-b0e4-37d0481faf67",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "0d317cd4-231e-4fd9-bdbb-4e1d55930d64",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "1f515d56-8410-44d0-8b4e-1b6d07ecbffd",
"account_manager_user_code": "sample string 56",
"company_status_id": "d7858176-40c2-4506-8b21-78f516fc4167",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-30T02:33:52.8692997+00:00",
"id2": 60
},
"db_language_id": "00723f0f-7e08-48df-951d-9ecafae69178",
"db_language_code": "sample string 7",
"db_title_id": "ebd25812-6aa3-4155-9a5c-05cc66fb8653",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-30T02:33:52.8692997+00:00",
"create_date": "2026-10-30T02:33:52.8692997+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-30T02:33:52.8692997+00:00"
}